FreeMat

- Main Page
- Related Pages

vtkPolygonsPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This painter renders Polys in vtkPolyData. It can render the polys in any representation (VTK_POINTS, VTK_WIREFRAME, VTK_SURFACE).

To create an instance of class vtkPolygonsPainter, simply invoke its constructor as follows

      obj = vtkPolygonsPainter

# Methods

The class vtkPolygonsPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolygonsPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPolygonsPainter = obj.NewInstance ()`
- `vtkPolygonsPainter = obj.SafeDownCast (vtkObject o)`